---
type: api
title: Get remote synced integrations status
description: Get the synchronization status of all remote integrations across connected remote clusters.<br/><br/>[Required authorization] Route required privileges: fleet-settings-read AND integrations-read.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-remote-synced-integrations-status
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-remote-synced-integrations-status
products:
  - Kibana
---

# Get remote synced integrations status

Availability: 9.1+

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/remote_synced_integrations/status`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

## Description

Get the synchronization status of all remote integrations across connected remote clusters.<br/><br/>[Required authorization] Route required privileges: fleet-settings-read AND integrations-read.

## Responses

#### `200`

Successful response

`application/json`

- `custom_assets` (map string to object)
  Map values (object)
  - `error` (string)
  - `is_deleted` (boolean)
  - `name` (string)
  - `package_name` (string)
  - `package_version` (string)
  - `sync_status` (enum)
    Values: `completed`, `synchronizing`, `failed`, `warning`
  - `type` (string)
  - `warning` (object)
    - `message` (string)
    - `title` (string)
- `error` (string)
- `integrations` ([] object · max: 10000)
  - `error` (string)
  - `id` (string)
  - `install_status` (object)
    - `main` (string)
    - `remote` (string)
  - `package_name` (string)
  - `package_version` (string)
  - `sync_status` (enum)
    Values: `completed`, `synchronizing`, `failed`, `warning`
  - `updated_at` (string)
  - `warning` (object)
    - `message` (string)
    - `title` (string)
- `warning` (object)
  - `message` (string)
  - `title` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/remote_synced_integrations/status
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/remote_synced_integrations/status"
```

## Response Examples

#### Get remote synced integrations status

Synchronization status of remote integrations across connected remote clusters

```json
{
  "integrations": [
    {
      "id": "nginx-remote",
      "install_status": {
        "main": "installed",
        "remote": "installed"
      },
      "package_name": "nginx",
      "package_version": "1.20.0",
      "sync_status": "COMPLETED",
      "updated_at": "2024-01-01T00:00:00.000Z"
    },
    {
      "error": "Failed to sync package to remote cluster",
      "id": "system-remote",
      "install_status": {
        "main": "installed",
        "remote": "not_installed"
      },
      "package_name": "system",
      "package_version": "1.38.0",
      "sync_status": "FAILED",
      "updated_at": "2024-01-01T00:00:00.000Z"
    }
  ]
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

